# -*- encoding: utf-8 -*-
# stub: influxdb 0.8.0 ruby lib

Gem::Specification.new do |s|
  s.name = "influxdb".freeze
  s.version = "0.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Todd Persen".freeze]
  s.date = "2020-02-26"
  s.description = "This is the official Ruby library for InfluxDB.".freeze
  s.email = ["influxdb@googlegroups.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/provision.sh".freeze, "influxdb.gemspec".freeze, "lib/influxdb.rb".freeze, "lib/influxdb/client.rb".freeze, "lib/influxdb/client/http.rb".freeze, "lib/influxdb/config.rb".freeze, "lib/influxdb/errors.rb".freeze, "lib/influxdb/logging.rb".freeze, "lib/influxdb/max_queue.rb".freeze, "lib/influxdb/point_value.rb".freeze, "lib/influxdb/query/batch.rb".freeze, "lib/influxdb/query/builder.rb".freeze, "lib/influxdb/query/cluster.rb".freeze, "lib/influxdb/query/continuous_query.rb".freeze, "lib/influxdb/query/core.rb".freeze, "lib/influxdb/query/database.rb".freeze, "lib/influxdb/query/measurement.rb".freeze, "lib/influxdb/query/retention_policy.rb".freeze, "lib/influxdb/query/series.rb".freeze, "lib/influxdb/query/user.rb".freeze, "lib/influxdb/timestamp_conversion.rb".freeze, "lib/influxdb/version.rb".freeze, "lib/influxdb/writer/async.rb".freeze, "lib/influxdb/writer/udp.rb".freeze, "spec/influxdb/cases/async_client_spec.rb".freeze, "spec/influxdb/cases/query_batch_spec.rb".freeze, "spec/influxdb/cases/query_cluster_spec.rb".freeze, "spec/influxdb/cases/query_continuous_query_spec.rb".freeze, "spec/influxdb/cases/query_core_spec.rb".freeze, "spec/influxdb/cases/query_database_spec.rb".freeze, "spec/influxdb/cases/query_measurements.rb".freeze, "spec/influxdb/cases/query_retention_policy_spec.rb".freeze, "spec/influxdb/cases/query_series_spec.rb".freeze, "spec/influxdb/cases/query_shard_spec.rb".freeze, "spec/influxdb/cases/query_user_spec.rb".freeze, "spec/influxdb/cases/query_with_params_spec.rb".freeze, "spec/influxdb/cases/querying_issue_7000_spec.rb".freeze, "spec/influxdb/cases/querying_spec.rb".freeze, "spec/influxdb/cases/retry_requests_spec.rb".freeze, "spec/influxdb/cases/show_field_keys_spec.rb".freeze, "spec/influxdb/cases/udp_client_spec.rb".freeze, "spec/influxdb/cases/write_points_spec.rb".freeze, "spec/influxdb/client_spec.rb".freeze, "spec/influxdb/config_spec.rb".freeze, "spec/influxdb/logging_spec.rb".freeze, "spec/influxdb/max_queue_spec.rb".freeze, "spec/influxdb/point_value_spec.rb".freeze, "spec/influxdb/query_builder_spec.rb".freeze, "spec/influxdb/time_conversion_spec.rb".freeze, "spec/influxdb/worker_spec.rb".freeze, "spec/smoke/smoke_batch_spec.rb".freeze, "spec/smoke/smoke_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://influxdb.org".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Ruby library for InfluxDB.".freeze
  s.test_files = ["spec/influxdb/cases/async_client_spec.rb".freeze, "spec/influxdb/cases/query_batch_spec.rb".freeze, "spec/influxdb/cases/query_cluster_spec.rb".freeze, "spec/influxdb/cases/query_continuous_query_spec.rb".freeze, "spec/influxdb/cases/query_core_spec.rb".freeze, "spec/influxdb/cases/query_database_spec.rb".freeze, "spec/influxdb/cases/query_measurements.rb".freeze, "spec/influxdb/cases/query_retention_policy_spec.rb".freeze, "spec/influxdb/cases/query_series_spec.rb".freeze, "spec/influxdb/cases/query_shard_spec.rb".freeze, "spec/influxdb/cases/query_user_spec.rb".freeze, "spec/influxdb/cases/query_with_params_spec.rb".freeze, "spec/influxdb/cases/querying_issue_7000_spec.rb".freeze, "spec/influxdb/cases/querying_spec.rb".freeze, "spec/influxdb/cases/retry_requests_spec.rb".freeze, "spec/influxdb/cases/show_field_keys_spec.rb".freeze, "spec/influxdb/cases/udp_client_spec.rb".freeze, "spec/influxdb/cases/write_points_spec.rb".freeze, "spec/influxdb/client_spec.rb".freeze, "spec/influxdb/config_spec.rb".freeze, "spec/influxdb/logging_spec.rb".freeze, "spec/influxdb/max_queue_spec.rb".freeze, "spec/influxdb/point_value_spec.rb".freeze, "spec/influxdb/query_builder_spec.rb".freeze, "spec/influxdb/time_conversion_spec.rb".freeze, "spec/influxdb/worker_spec.rb".freeze, "spec/smoke/smoke_batch_spec.rb".freeze, "spec/smoke/smoke_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.61.1"])
      s.add_development_dependency(%q<webmock>.freeze, ["~> 3.0"])
    else
      s.add_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.6"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.61.1"])
      s.add_dependency(%q<webmock>.freeze, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.61.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.0"])
  end
end
